# Generated from roda-endpoints-0.3.6.gem by gem2rpm -*- rpm-spec -*-
%global gem_name roda-endpoints

Name: rubygem-%{gem_name}
Version: 0.3.6
Release: 1%{?dist}
Summary: RESTful endpoints for Roda tree
License: MIT
URL: http://alsemyonov.gitlab.com/roda-endpoints/
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby
# BuildRequires: rubygem(bundler-audit) >= 0.5.0
# BuildRequires: rubygem(bundler-audit) < 0.6
# BuildRequires: rubygem(rack-test) >= 0.6.3
# BuildRequires: rubygem(rack-test) < 0.7
# BuildRequires: rubygem(rspec-roda) >= 0.1.0
# BuildRequires: rubygem(rspec-roda) < 0.2
# BuildRequires: rubygem(rubocop) >= 0.47.0
# BuildRequires: rubygem(rubocop) < 0.48
# BuildRequires: rubygem(simplecov) >= 0.12.0
# BuildRequires: rubygem(simplecov) < 0.13
# BuildRequires: rubygem(yard) >= 0.9.5
# BuildRequires: rubygem(yard) < 0.10
# BuildRequires: rubygem(rom-repository) >= 0.3.1
# BuildRequires: rubygem(rom-sql) >= 0.9
# BuildRequires: rubygem(sqlite3)
# BuildRequires: rubygem(pry-byebug)
BuildArch: noarch

%description
Generic endpoints and specific implementations.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# Run the test suite.
popd

%files
%dir %{gem_instdir}
%exclude %{gem_instdir}/.gitignore
%{gem_instdir}/.gitlab-ci.yml
%exclude %{gem_instdir}/.rubocop.yml
%{gem_instdir}/.ruby-version
%{gem_instdir}/.simplecov
%exclude %{gem_instdir}/.travis.yml
%{gem_instdir}/CODE_OF_CONDUCT.md
%{gem_instdir}/Dockerfile
%license %{gem_instdir}/LICENSE.txt
%{gem_instdir}/bin
%{gem_libdir}
%{gem_instdir}/rakelib
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%doc %{gem_instdir}/.dockerignore
%exclude %{gem_instdir}/.rspec
%{gem_instdir}/Gemfile
%doc %{gem_instdir}/README.md
%{gem_instdir}/Rakefile
%{gem_instdir}/roda-endpoints.gemspec

%changelog
* Wed Aug 25 2021 mockbuilder - 0.3.6-1
- Initial package
